Yuuno requires Python 3.6 or later. To support VapourSynth, you need VapourSynth R36 or later. To install it use these commands:

$ pip install yuuno
$ jupyter nbextension enable --py widgetsnbextension

Stable release

To install yuuno, run this command in your terminal:

$ pip install yuuno

This is the preferred method to install yuuno, as it will always install the most recent stable release.

If you don’t have pip installed, this Python installation guide can guide you through the process.

From sources

The sources for yuuno can be downloaded from the Github repo.

You can either clone the public repository:

$ git clone git://

Or download the tarball:

$ curl  -OL

Once you have a copy of the source, you can install it with:

$ python install

Enabling interactive applications

The interactive application which Yuuno provides for better introspection rely on the third-party extension ipywidgets. This is how you activate this extension:

$ jupyter nbextension enable --py widgetsnbextension

Refer to this documentation for installation inside virtual environments (such as virtualenv and venv): ipywidgets Documentation